- Qt 6.11
- Qt Core
- C++ Classes
- FinalizeResultChar
- Qt 6.11.2 Reference Documentation

# QStringConverter::FinalizeResultChar Struct

template <typename Char> struct QStringConverter::FinalizeResultChar

Holds the result of calling finalize() on QStringDecoder or QStringEncoder. More...

This struct was introduced in Qt 6.11.

- List of all members, including inherited members

## Public Variables

QStringConverter::FinalizeResultChar<Char>::Error | error
qint16 | invalidChars
Char * | next

## Detailed Description

This class is used to relay the result of the finalize() call or the reason why the call did not succeed.

## Member Variable Documentation

### QStringConverter::FinalizeResultChar<Char>::Error FinalizeResultChar::error

Relays errors discovered during finalization.

### qint16 FinalizeResultChar::invalidChars

The number of invalid characters that were previously counted in the state as well as any that were encountered during the call to finalize().

### Char *FinalizeResultChar::next

Points to the character position following the last-written character.